> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # SendSmsMessage POST https://api.voximplant.com/platform_api/SendSmsMessage Sends an SMS message between two phone numbers. The source phone number should be purchased from Voximplant and support SMS (which is indicated by the **is\_sms\_supported** property in the objects returned by the \[GetPhoneNumbers] Management API) and SMS should be enabled for it via the \[ControlSms] Management API. SMS messages can be received via HTTP callbacks, see this article for details. Allowed roles: `Owner`, `Admin`, `Developer`, `CallsSMS`. **Example request:** Send the SMS message with the text "Test message" from the phone number 447443332211 to the phone number 447443332212. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/sms/send-sms-message ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `source` (string, required) — The source phone number - `destination` (string, required) — The destination phone number - `sms_body` (string, required) — The message text, up to 765 characters. We split long messages greater than 160 GSM-7 characters or 70 UTF-16 characters into multiple segments. Each segment is charged as one message - `store_body` (boolean, optional) — Whether to store outgoing message texts. Default value is false ## Response ### 200 Successful response - `result` (integer, optional) - `message_id` (integer, optional) — Message ID - `fragments_count` (integer, optional) — The number of fragments the message is divided into ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1, "message_id": 123456789, "fragments_count": 1 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/SendSmsMessage" querystring = {"source":"447443332211","destination":"447443332212","sms_body":"Test message","store_body":"true"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/SendSmsMessage?source=447443332211&destination=447443332212&sms_body=Test+message&store_body=true")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```